package com.mortals.xhx.module.demo.web;


import com.mortals.framework.web.BaseCRUDFormStr;
import com.mortals.xhx.module.demo.model.DemoEntity;
import com.mortals.xhx.module.demo.model.DemoQuery;

/**
* Demo
*
* 测试demo Form
*
* @author zxfei
* @date 2021-10-22
*/
public class DemoForm extends BaseCRUDFormStr<DemoEntity> {
    private DemoEntity entity = new DemoEntity();
    private DemoQuery query = new DemoQuery();
    public DemoForm(){
    }

    @Override
    public DemoEntity getEntity() {
        return entity;
    }

    public void setDemo(DemoEntity entity) {
        this.entity = entity;
    }

    @Override
    public DemoQuery getQuery() {
        return query;
    }

    public void setQuery(DemoQuery query) {
        this.query = query;
    }
}